package com.cpop.oam.business.service;

import com.cpop.oam.business.bo.SysConfigInfoBo;
import com.cpop.oam.business.vo.ConfigInfoVo;

/**
 *
 */
public interface CommonService {

    /**
     * 加载参数缓存数据
     */
    void loadingConfigCache();

    /**
     * @Description: 重置参数缓存数据
     * @author DB
     * @Date: 2023/6/7 0007 16:29
     */
    void resetConfigCache();

    /**
     * @Description: 清空参数缓存数据
     * @author DB
     * @Date: 2023/6/7 0007 16:27
     */
    void clearConfigCache();

    /**
     * @Description: 获取系统配置信息
     * @return R<OpenPlatformConfigVo>
     * @author DB
     * @Date: 2023/7/7 0007 16:27
     */
    ConfigInfoVo getSysConfigInfo();

    /**
     * @param bo 请求参数
     * @Description: 设置系统配置信息
     * @return: R<Void>
     * @Author: DB
     * @Date: 2023/5/11 15:48
     **/
    void setSysConfigInfo(SysConfigInfoBo bo);

    /**
     * 获取缓存key
     * @author DB
     * @since 2023/12/26
     * @param key 枚举key
     * @return String
     */
    String getCacheKey(String key);
}
